Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-autobahn for openSUSE:Factory
Hello community,

here is the log from the commit of package python-autobahn for openSUSE:Factory
checked in at 2019-04-05 12:06:38
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-autobahn (Old)
and /work/SRC/openSUSE:Factory/.python-autobahn.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-autobahn"

Fri Apr 5 12:06:38 2019 rev:4 rq:691726 version:19.3.3

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-autobahn/python-autobahn.changes
2018-10-25 08:14:20.796122232 +0200
+++
/work/SRC/openSUSE:Factory/.python-autobahn.new.3908/python-autobahn.changes
2019-04-05 12:07:15.294587057 +0200
@@ -1,0 +2,18 @@
+Fri Apr 5 08:12:36 UTC 2019 - Tomáš Chvátal <tchvatal@xxxxxxxx>
+
+- Fix the %pytest_arch call to pass properly
+
+-------------------------------------------------------------------
+Tue Mar 26 13:18:38 UTC 2019 - Tomáš Chvátal <tchvatal@xxxxxxxx>
+
+- Update to 19.3.3:
+ * No upstream changelog
+
+-------------------------------------------------------------------
+Tue Mar 19 14:37:02 UTC 2019 - Tomáš Chvátal <tchvatal@xxxxxxxx>
+
+- Update to 19.3.2:
+ * no upstream changelog
+- List all the missing requirements based on setup.py
+
+-------------------------------------------------------------------

Old:
----
autobahn-18.9.2.tar.gz

New:
----
autobahn-19.3.3.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-autobahn.spec ++++++
--- /var/tmp/diff_new_pack.oXoghr/_old 2019-04-05 12:07:15.990587326 +0200
+++ /var/tmp/diff_new_pack.oXoghr/_new 2019-04-05 12:07:15.994587327 +0200
@@ -1,7 +1,7 @@
#
# spec file for package python-autobahn
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -18,31 +18,66 @@

%{?!python_module:%define python_module() python-%{**}
%{!?skip_python3:python3-%{**}}}
Name: python-autobahn
-Version: 18.9.2
+Version: 19.3.3
Release: 0
Summary: WebSocket and WAMP in Python for Twisted and asyncio
License: MIT
Group: Development/Languages/Python
-URL: http://crossbar.io/autobahn
+URL: https://github.com/crossbario/autobahn-python
Source:
https://files.pythonhosted.org/packages/source/a/autobahn/autobahn-%{version}.tar.gz
-BuildRequires: %{python_module mock}
-BuildRequires: %{python_module pytest}
+BuildRequires: %{python_module PyNaCl >= 1.0.1}
+BuildRequires: %{python_module PyQRCode >= 1.1}
+BuildRequires: %{python_module Twisted >= 12.1.0}
+BuildRequires: %{python_module argon2-cffi >= 18.1.0}
+BuildRequires: %{python_module cbor >= 1.0.0}
+BuildRequires: %{python_module cbor2 >= 4.1.2}
+BuildRequires: %{python_module cffi >= 1.11.5}
+BuildRequires: %{python_module devel}
+BuildRequires: %{python_module flatbuffers >= 1.10}
+BuildRequires: %{python_module lz4 >= 0.7.0}
+BuildRequires: %{python_module mock >= 1.3.0}
+BuildRequires: %{python_module msgpack >= 0.6.1}
+BuildRequires: %{python_module passlib >= 1.7.1}
+BuildRequires: %{python_module py-ubjson >= 0.8.4}
+BuildRequires: %{python_module pyOpenSSL >= 16.2.0}
+BuildRequires: %{python_module pytest >= 2.8.6}
+BuildRequires: %{python_module pytrie >= 0.2}
+BuildRequires: %{python_module service_identity >= 16.0.0}
BuildRequires: %{python_module setuptools}
+BuildRequires: %{python_module six >= 1.11.0}
+BuildRequires: %{python_module txaio >= 18.8.1}
+BuildRequires: %{python_module ujson >= 1.35}
+BuildRequires: %{python_module wsaccel >= 0.6.2}
+BuildRequires: %{python_module zope.interface >= 3.6.0}
BuildRequires: fdupes
+BuildRequires: python-futures >= 3.0.4
BuildRequires: python-rpm-macros
BuildRequires: python2-trollius
+BuildRequires: python3-pytest-aiohttp
BuildRequires: python3-pytest-asyncio
-Requires: python-Twisted
-Requires: python-six
-Requires: python-txaio
-BuildArch: noarch
-# SECTION test requirements
-BuildRequires: %{python_module Twisted}
-BuildRequires: %{python_module six >= 1.10.0}
-BuildRequires: %{python_module txaio}
-# /SECTION
+Requires: python-PyNaCl >= 1.0.1
+Requires: python-PyQRCode >= 1.1
+Requires: python-Twisted >= 12.1.0
+Requires: python-argon2-cffi >= 18.1.0
+Requires: python-cbor >= 1.0.0
+Requires: python-cbor2 >= 4.1.2
+Requires: python-cffi >= 1.11.5
+Requires: python-flatbuffers >= 1.10
+Requires: python-lz4 >= 0.7.0
+Requires: python-msgpack >= 0.6.1
+Requires: python-passlib >= 1.7.1
+Requires: python-py-ubjson >= 0.8.4
+Requires: python-pyOpenSSL >= 16.2.0
+Requires: python-pytrie >= 0.2
+Requires: python-service_identity >= 16.0.0
+Requires: python-six >= 1.11.0
+Requires: python-txaio >= 18.8.1
+Requires: python-ujson >= 1.35
+Requires: python-wsaccel >= 0.6.2
+Requires: python-zope.interface >= 3.6.0
%ifpython2
-Requires: python-trollius
+Requires: python-futures >= 3.0.4
+Requires: python-trollius >= 2.0
%endif
%python_subpackages

@@ -54,18 +89,22 @@
%setup -q -n autobahn-%{version}

%build
+export AUTOBAHN_USE_NVX=true
%python_build

%install
+export AUTOBAHN_USE_NVX=true
%python_install
-%python_expand %fdupes %{buildroot}%{$python_sitelib}
+%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export USE_ASYNCIO=true
-%{python_expand PYTHONPATH=. $python -m pytest autobahn}
+export AUTOBAHN_USE_NVX=true
+%pytest_arch %{buildroot}%{$python_sitearch}/autobahn/

%files %{python_files}
%license LICENSE
-%{python_sitelib}/*
+%doc README.rst
+%{python_sitearch}/*

%changelog

++++++ autobahn-18.9.2.tar.gz -> autobahn-19.3.3.tar.gz ++++++
++++ 10669 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages